GetPaymentMethodFromSetupIntent

GET/billing/v1/payment-methods/from-setup-intent

Query Parameters

setup_intent_id?setup_intent_id

The setup_intent_id query parameter.

Response Body

200application/json

Success

type: unknown

{
  "$ref": "#/components/schemas/billing.v1.PaymentMethodIdResponse",
  "$ref-value": {
    "type": "object",
    "properties": {
      "payment_method_id": {
        "type": "string",
        "examples": [
          "XyZ9aB8cD1"
        ],
        "title": "payment_method_id"
      }
    },
    "title": "PaymentMethodIdResponse",
    "additionalProperties": false
  }
}
curl -X GET "https://api.rixl.com/billing/v1/payment-methods/from-setup-intent"

Success

application/json

{
  "$ref": "#/components/schemas/billing.v1.PaymentMethodIdResponse",
  "$ref-value": {
    "type": "object",
    "properties": {
      "payment_method_id": {
        "type": "string",
        "examples": [
          "XyZ9aB8cD1"
        ],
        "title": "payment_method_id"
      }
    },
    "title": "PaymentMethodIdResponse",
    "additionalProperties": false
  }
}